libgdamm Reference Documentation

Main Page Namespaces Book

# datamodelquery.h File Reference

## Namespaces

namespace | Glib
namespace | Gnome
namespace | Gnome::Gda

## Classes

class | Gnome::Gda::DataModelQuery
| An implementation of DataModel based on a SELECT query. More...
class | Gnome::Gda::DataModelQueryError
| Exception class for DataModelQuery errors. More...

## Enumerations

enum | Gnome::Gda::DataModelQueryOptions { Gnome::Gda::DATA_MODEL_QUERY_OPTION_USE_ALL_FIELDS_IF_NO_PK = 1 << 0 }

Bitwise operators:
  `DataModelQueryOptions operator|(DataModelQueryOptions, DataModelQueryOptions)`
  `DataModelQueryOptions operator&(DataModelQueryOptions, DataModelQueryOptions)`
  `DataModelQueryOptions operator^(DataModelQueryOptions, DataModelQueryOptions)`
  `DataModelQueryOptions operator~(DataModelQueryOptions)`
  `DataModelQueryOptions& operator|=(DataModelQueryOptions&, DataModelQueryOptions)`
  `DataModelQueryOptions& operator&=(DataModelQueryOptions&, DataModelQueryOptions)`
  `DataModelQueryOptions& operator^=(DataModelQueryOptions&, DataModelQueryOptions)`

More...

## Functions

DataModelQueryOptions | Gnome::Gda::operator& (DataModelQueryOptions lhs, DataModelQueryOptions rhs)
DataModelQueryOptions& | Gnome::Gda::operator&= (DataModelQueryOptions& lhs, DataModelQueryOptions rhs)
DataModelQueryOptions | Gnome::Gda::operator^ (DataModelQueryOptions lhs, DataModelQueryOptions rhs)
DataModelQueryOptions& | Gnome::Gda::operator^= (DataModelQueryOptions& lhs, DataModelQueryOptions rhs)
DataModelQueryOptions | Gnome::Gda::operator| (DataModelQueryOptions lhs, DataModelQueryOptions rhs)
DataModelQueryOptions& | Gnome::Gda::operator|= (DataModelQueryOptions& lhs, DataModelQueryOptions rhs)
DataModelQueryOptions | Gnome::Gda::operator~ (DataModelQueryOptions flags)